Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdEJournal.EJ_ParamRange

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdEJournal.EJ_ParamRange

Enclosing class:
  cmdEJournal

    public static class cmdEJournal.EJ_ParamRange
    extends java.lang.Object

Class to hold input/output put parameters for search

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EJ_ParamRange()` |
  `EJ_ParamRange​(java.lang.Integer docNumStart, java.lang.Integer docNumEnd, java.lang.Integer zRangeStart, java.lang.Integer zRangeEnd, java.lang.String fromDT, java.lang.String toDT)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Integer` | `getDocNumEnd()` |
  `java.lang.Integer` | `getDocNumStart()` |
  `java.lang.String` | `getFromDT()` |
  `java.lang.String` | `getToDT()` |
  `void` | `setDocNumEnd​(java.lang.Integer docNumEnd)` |
  `void` | `setDocNumStart​(java.lang.Integer docNumStart)` |
  `void` | `setFromDT​(java.lang.String fromDT)` |
  `void` | `setToDT​(java.lang.String toDT)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EJ_ParamRange

    public EJ_ParamRange()

  - ### EJ_ParamRange

    public EJ_ParamRange​(java.lang.Integer docNumStart, java.lang.Integer docNumEnd, java.lang.Integer zRangeStart, java.lang.Integer zRangeEnd, java.lang.String fromDT, java.lang.String toDT)

- ## Method Details

  - ### setFromDT

    public void setFromDT​(java.lang.String fromDT)

  - ### setToDT

    public void setToDT​(java.lang.String toDT)

  - ### getDocNumStart

    public java.lang.Integer getDocNumStart()

  - ### setDocNumStart

    public void setDocNumStart​(java.lang.Integer docNumStart)

  - ### getDocNumEnd

    public java.lang.Integer getDocNumEnd()

  - ### setDocNumEnd

    public void setDocNumEnd​(java.lang.Integer docNumEnd)

  - ### getFromDT

    public java.lang.String getFromDT()

  - ### getToDT

    public java.lang.String getToDT()